package org.studiorailgun.sim.character.vis;

import org.studiorailgun.sim.character.Character;

/**
 * Container for the appearance of a character
 */
public class CharacterAppearance {
    
    /**
     * The height of the character
     */
    float height;

    /**
     * The weight of the character
     */
    float weight;

    /**
     * Describes the head of the character
     */
    CharaHead head;

    /**
     * The race of the character
     */
    String race;

    /**
     * The parent character
     */
    Character parent;

    /**
     * Gets the height of the character
     * @return The height of the character
     */
    public float getHeight() {
        return height;
    }

    /**
     * Sets the height of the character
     * @param height The height of the character
     */
    public void setHeight(float height) {
        this.height = height;
    }

    /**
     * Gets the weight of the character
     * @return The weight of the character
     */
    public float getWeight() {
        return weight;
    }

    /**
     * Sets the weight of the character
     * @param weight The weight of the character
     */
    public void setWeight(float weight) {
        this.weight = weight;
    }

    /**
     * Gets the appearance data of the head of the character
     * @return The appearance data of the head of the character
     */
    public CharaHead getHead() {
        return head;
    }

    /**
     * Sets the appearance data of the head of the character
     * @param head The appearance data of the head of the character
     */
    public void setHead(CharaHead head) {
        this.head = head;
    }

    public String getRace(){
        return race;
    }

    public void setRace(String race){
        this.race = race;
    }

    public Character getParent() {
        return parent;
    }

    public void setParent(Character parent) {
        this.parent = parent;
    }

    

}
